Ignora e passa al contenuto principale

Questo browser non è più supportato.

Esegui l'aggiornamento a Microsoft Edge per sfruttare i vantaggi di funzionalità più recenti, aggiornamenti della sicurezza e supporto tecnico.

Scarica Microsoft Edge Scopri di più su Internet Explorer e Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Evaluation Taxonomies

Create an evaluation taxonomy

PUT /evaluationtaxonomies/{name}

Creates or replaces the specified evaluation taxonomy with the provided definition.

Parametri di query

api-version string necessario

The API version to use for this operation.

Parametri di intestazione

Foundry-Features enum necessario

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Evaluations=V1Preview

Parametri del percorso

name string necessario

The name of the evaluation taxonomy.

Corpo della richiesta

The evaluation taxonomy.

Content-Type: application/json
description string

The asset description text.

tags object

Tag dictionary. Tags can be added, removed, and updated.

[key: string] string
taxonomyInput agent necessario

Input configuration for the evaluation taxonomy.

Uno dei seguenti:
agent AgentTaxonomyInput

Input configuration for the evaluation taxonomy when the input type is agent.

type enum necessario

Input type of the evaluation taxonomy.

agent
target azure_ai_model | azure_ai_agent necessario

Base class for targets with discriminator support.

Uno dei seguenti:
azure_ai_model AzureAIModelTarget

A target that identifies an Azure AI model. See evaluate administrator-connected models.

type enum necessario

The type of target, always azure_ai_model.

azure_ai_model
model string

The name of the model deployment to invoke as the evaluation target.

sampling_params ModelSamplingParams

Represents a set of parameters used to control the sampling behavior of a language model during text generation.

temperature number

The temperature parameter for sampling. Defaults to 1.0.

top_p number

The top-p parameter for nucleus sampling. Defaults to 1.0.

seed integer

The random seed for reproducibility. Defaults to 42.

max_completion_tokens integer

The maximum number of tokens allowed in the completion.

azure_ai_agent AzureAIAgentTarget

A target that identifies an Azure AI agent. See evaluate model or agent targets.

type enum necessario

The type of target, always azure_ai_agent.

azure_ai_agent
name string necessario

The name of the Azure AI agent to invoke as the evaluation target.

version string

The version of the Azure AI agent. When omitted, the latest version is used.

tool_descriptions ToolDescription[]

Optional descriptions of tools available to the agent.

tools OpenAI.Tool[]

Tool definitions made available when invoking the agent.

riskCategories RiskCategory[] necessario

List of risk categories to evaluate against.

taxonomyCategories TaxonomyCategory[]

List of taxonomy categories.

properties object

Additional properties for the evaluation taxonomy.

[key: string] string

Risposte

The request has succeeded.

Corpo

Content-Type: application/json
id string

Asset ID, a unique identifier for the asset

name string necessario

The name of the resource

version string necessario

The version of the resource

taxonomyInput agent necessario

Input configuration for the evaluation taxonomy.

Uno dei seguenti:
agent AgentTaxonomyInput

Input configuration for the evaluation taxonomy when the input type is agent.

type enum necessario

Input type of the evaluation taxonomy.

agent
target azure_ai_model | azure_ai_agent necessario

Base class for targets with discriminator support.

Uno dei seguenti:
azure_ai_model AzureAIModelTarget

A target that identifies an Azure AI model. See evaluate administrator-connected models.

type enum necessario

The type of target, always azure_ai_model.

azure_ai_model
model string

The name of the model deployment to invoke as the evaluation target.

sampling_params ModelSamplingParams

Represents a set of parameters used to control the sampling behavior of a language model during text generation.

temperature number

The temperature parameter for sampling. Defaults to 1.0.

top_p number

The top-p parameter for nucleus sampling. Defaults to 1.0.

seed integer

The random seed for reproducibility. Defaults to 42.

max_completion_tokens integer

The maximum number of tokens allowed in the completion.

azure_ai_agent AzureAIAgentTarget

A target that identifies an Azure AI agent. See evaluate model or agent targets.

type enum necessario

The type of target, always azure_ai_agent.

azure_ai_agent
name string necessario

The name of the Azure AI agent to invoke as the evaluation target.

version string

The version of the Azure AI agent. When omitted, the latest version is used.

tool_descriptions ToolDescription[]

Optional descriptions of tools available to the agent.

tools OpenAI.Tool[]

Tool definitions made available when invoking the agent.

riskCategories RiskCategory[] necessario

List of risk categories to evaluate against.

taxonomyCategories TaxonomyCategory[]

List of taxonomy categories.

properties object

Additional properties for the evaluation taxonomy.

[key: string] string

The request has succeeded and a new resource has been created as a result.

Corpo

Content-Type: application/json
id string

Asset ID, a unique identifier for the asset

name string necessario

The name of the resource

version string necessario

The version of the resource

taxonomyInput agent necessario

Input configuration for the evaluation taxonomy.

Uno dei seguenti:
agent AgentTaxonomyInput

Input configuration for the evaluation taxonomy when the input type is agent.

type enum necessario

Input type of the evaluation taxonomy.

agent
target azure_ai_model | azure_ai_agent necessario

Base class for targets with discriminator support.

Uno dei seguenti:
azure_ai_model AzureAIModelTarget

A target that identifies an Azure AI model. See evaluate administrator-connected models.

type enum necessario

The type of target, always azure_ai_model.

azure_ai_model
model string

The name of the model deployment to invoke as the evaluation target.

sampling_params ModelSamplingParams

Represents a set of parameters used to control the sampling behavior of a language model during text generation.

temperature number

The temperature parameter for sampling. Defaults to 1.0.

top_p number

The top-p parameter for nucleus sampling. Defaults to 1.0.

seed integer

The random seed for reproducibility. Defaults to 42.

max_completion_tokens integer

The maximum number of tokens allowed in the completion.

azure_ai_agent AzureAIAgentTarget

A target that identifies an Azure AI agent. See evaluate model or agent targets.

type enum necessario

The type of target, always azure_ai_agent.

azure_ai_agent
name string necessario

The name of the Azure AI agent to invoke as the evaluation target.

version string

The version of the Azure AI agent. When omitted, the latest version is used.

tool_descriptions ToolDescription[]

Optional descriptions of tools available to the agent.

tools OpenAI.Tool[]

Tool definitions made available when invoking the agent.

riskCategories RiskCategory[] necessario

List of risk categories to evaluate against.

taxonomyCategories TaxonomyCategory[]

List of taxonomy categories.

properties object

Additional properties for the evaluation taxonomy.

[key: string] string

Client error

Intestazioni

x-ms-error-code string

String error code indicating what went wrong.

Corpo

Content-Type: application/json
error Azure.Core.Foundations.Error necessario

The error object.

code string necessario

One of a server-defined set of error codes.

message string necessario

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Server error

Intestazioni

x-ms-error-code string

String error code indicating what went wrong.

Corpo

Content-Type: application/json
error Azure.Core.Foundations.Error necessario

The error object.

code string necessario

One of a server-defined set of error codes.

message string necessario

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Richiedi

PUT /evaluationtaxonomies/{name} HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
it-it
Scelte sulla privacy
  • Dichiarazione di non responsabilità relativa all'intelligenza artificiale
  • Versioni precedenti
  • Blog
  • Collabora
  • Riservatezza
  • Privacy dei dati sanitari dei consumatori
  • Condizioni per l'utilizzo
  • Accessibilità
  • Marchi
  • © Microsoft 2026